# Class OnLineFunction

Object
CodeList<OnLineFunction>
OnLineFunction

All Implemented Interfaces:
  `Serializable, Comparable<OnLineFunction>`

@UML(identifier="CI_OnLineFunctionCode", specification=ISO_19115) public final class OnLineFunction extends CodeList<OnLineFunction>
Class of information to which the referencing entity applies.

Since:
  2.0
See Also:
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class CodeList

  `CodeList​.Filter`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final OnLineFunction`
  `DOWNLOAD`
  Online instructions for transferring data from one storage device or system to another.
  `static final OnLineFunction`
  `INFORMATION`
  Online information about the resource.
  `static final OnLineFunction`
  `OFFLINE_ACCESS`
  Online instructions for requesting the resource from the provider.
  `static final OnLineFunction`
  `ORDER`
  Online order process for obtaining the resource.
  `static final OnLineFunction`
  `SEARCH`
  Online search interface for seeking out information about the resource.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `OnLineFunction[]`
  `family()`
  Returns the list of enumerations of the same kind as this enum.
  `static OnLineFunction`
  `valueOf(String code)`
  Returns the on line function that matches the given string, or returns a new one if none match it.
  `static OnLineFunction[]`
  `values()`
  Returns the list of `OnLineFunction`s.

  ### Methods inherited from class CodeList

  `compareTo, identifier, name, names, ordinal, readResolve, toString, valueOf, valueOf`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### DOWNLOAD

    @UML(identifier="download", obligation=CONDITIONAL, specification=ISO_19115) public static final OnLineFunction DOWNLOAD
    Online instructions for transferring data from one storage device or system to another.

  - ### INFORMATION

    @UML(identifier="information", obligation=CONDITIONAL, specification=ISO_19115) public static final OnLineFunction INFORMATION
    Online information about the resource.

  - ### OFFLINE_ACCESS

    @UML(identifier="offlineAccess", obligation=CONDITIONAL, specification=ISO_19115) public static final OnLineFunction OFFLINE_ACCESS
    Online instructions for requesting the resource from the provider.

  - ### ORDER

    @UML(identifier="order", obligation=CONDITIONAL, specification=ISO_19115) public static final OnLineFunction ORDER
    Online order process for obtaining the resource.

  - ### SEARCH

    @UML(identifier="search", obligation=CONDITIONAL, specification=ISO_19115) public static final OnLineFunction SEARCH
    Online search interface for seeking out information about the resource.

- ## Method Details

  - ### values

    public static OnLineFunction[] values()
    Returns the list of `OnLineFunction`s.
    Returns:
      The list of codes declared in the current JVM.

  - ### family

    public OnLineFunction[] family()
    Returns the list of enumerations of the same kind as this enum.
    Specified by:
      `family` in class `CodeList<OnLineFunction>`
    Returns:
      The codes of the same kind as this code.

  - ### valueOf

    public static OnLineFunction valueOf(String code)
    Returns the on line function that matches the given string, or returns a new one if none match it.
    Parameters:
      `code` - The name of the code to fetch or to create.
    Returns:
      A code matching the given name.